import _extends from "@babel/runtime/helpers/extends";
import { FormItemsProps } from "../_base";
var YwFilterMobileMeta = {
  componentName: 'YwFilterMobile',
  title: 'YwFilterMobile',
  group: '基础组件',
  category: '页面模块',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  npm: {
    "package": '@ywfe/materials-design-mobile',
    version: '1.0.0',
    exportName: 'YwFilterMobile',
    main: 'src/index.tsx',
    destructuring: true,
    subName: ''
  },
  configure: {
    props: [{
      title: {
        label: '时间范围字段英文key',
        tip: '时间范围字段英文key'
      },
      name: 'dateKey',
      description: '时间范围字段英文key',
      supportVariable: true,
      defaultValue: 'dateList',
      setter: 'StringSetter'
    }, {
      title: {
        label: {
          type: 'i18n',
          'en-US': 'onSubmit',
          'zh-CN': '提交回调'
        },
        tip: 'onSubmit | 提交回调'
      },
      name: 'onSubmit',
      description: '提交回调',
      setter: {
        componentName: 'FunctionSetter'
      }
    }].concat(FormItemsProps),
    supports: {
      style: true,
      events: ['onSubmit'],
      loop: false
    },
    component: {}
  }
};
var snippets = [{
  title: '移动端筛选器',
  screenshot: 'https://yw-fed-static.oss-cn-hangzhou.aliyuncs.com/lowcode/filters',
  schema: {
    componentName: 'YwFilterMobile',
    props: {}
  }
}];
export default _extends({}, YwFilterMobileMeta, {
  snippets: snippets
});